# $Id: smeserver-sme9admin.spec,v 1.12 2017/03/26 02:22:21 unnilennium Exp $
# Authority: vip-ire
# Name: Daniel Berteaud
# 

Summary: A graphical monitor, alert raising, and services supervision tool for your SME Server.
%define name smeserver-sme9admin
Name: %{name}
%define version 1.5
%define release 25
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-sme9admin-1.5-bz9725-email.patch
Patch1: smeserver-sme9admin-1.5-bz8399-traffic.patch
Patch2: smeserver-sme9admin-1.5-bz8818-email_accounting.patch
Patch3: smeserver-sme9admin-1.5-locale-2016-12-18.patch
Patch4: smeserver-sme9admin-1.5-bz9894-utf8.patch
Patch5: smeserver-sme9admin-1.5-locale-2016-12-20.patch
Patch6: smeserver-sme9admin-1.5-bz9886-bz9889-warnings.patch
Patch7: smeserver-sme9admin-1.5-locale-2017-02-02.patch
Patch8: smeserver-sme9admin-1.5-locale-2017-03-26.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch

BuildRequires: e-smith-devtools
BuildRequires: gettext

Requires: e-smith-base
Requires: smeserver-release >= 9
Requires: rrdtool-perl
Requires: rrdtool
Requires: hddtemp
Requires: sysstat
Requires: lm_sensors
Obsoletes: smeserver-sme8admin

AutoReqProv: no

%changelog
* Sat Mar 25 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.5-25.sme
- apply locale 2017-03-26 patch

* Wed Feb 01 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.5-24.sme
- apply locale 2017-02-02.patch

* Sun Jan 01 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.5-23.sme
- fix warning related to raid detection code [SME: 9886]
- fix warning related to non existing services removed sinces previous versions [SME: 9889]

* Tue Dec 20 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.5-22.sme
- make CGI and pictures utf8 compliant [SME: 9894]
- apply smeserver-sme9admin-1.5-locale-2016-12-20.patch

* Sat Dec 17 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.5-21.sme
- locals smeserver-sme9admin-1.5-locale-2016-12-18.patch

* Sat Dec 17 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.5-20.sme
- fix last patch by adding path to called programs

* Thu Dec 15 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.5-19.sme
- fix bad accounting for incoming and outgoing mail [SME: 8818]
- mail_in alert now account for all queued emails from qpsmtpd and sqpsmtpd
- mail_out alert now account for qmail total remote delivery attempts
- known issue : on first run will account more than 5 minutes ( whole log) and will alert for exceeding amount
- added accounting of qpsmtpd and sqpsmtpd code
- TODO: alert on qmail queue too high, alert on too many qpsmtpd connections

* Wed Nov 23 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.5-18.sme
- fix limited size in mysql fields for traffic accounting [SME: 8399]

* Wed Nov 23 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.5-16.sme
- add more verbose email alert [SME: 9725]

* Fri Aug 21 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.5-15.sme
- Initial release to contribs9

* Wed Dec 24 2014 stephane de labrusse <stephdl@de-labrusse.fr> 1.5-14.sme
- changed  $mypid = `cat $mypid` by open(FIC,"<$mypid") [SME:8740]

* Tue Dec 23 2014 stephane de labrusse <stephdl@de-labrusse.fr> 1.5-13.sme
- Corrected bug of empty pids [SME:8732]
- Added exeption if the server is not in server & gateway [SME:8739]

* Thu Dec 11 2014 stephane de labrusse <stephdl@de-labrusse.fr> 1.5-12.sme
- corrected the dhcpd lease not reported  [SME:8724]

* Tue Nov 25 2014 stephane de labrusse <stephdl@de-labrusse.fr> 1.5-11.sme
- Added a restart to sme9admind when settings are changed in the sme9admin panel

* Sat Nov 22 2014 stephane de labrusse <stephdl@de-labrusse.fr> 1.5-10.sme
- added a second fan speed sensors
- added four HD TEMP sensors
- added a new graph only for hd temperature sensor
- added an event sme9admin-update for avoiding to restart the server
- added a tab to check the raid status 

* Sun Nov 16 2014 stephane de labrusse <stephdl@de-labrusse.fr> 1.5-9.sme
- Changed in sme9admind L937 °C in .{1,2} .... Thanks JPP

* Fri Nov 14 2014 stephane de labrusse <stephdl@de-labrusse.fr> 1.5-8.sme
- Added a service in rc7.d for lm_sensors
- added to sadf the -S to collect swap data
- changed txbyt/rxbyt to rxkB/txkB for collecting network load

* Mon Sep 01 2014 stephane de labrusse <stephdl@de-labrusse.fr> 1.5-7.sme
- added 755 to /usr/bin/sme9admind

* Wed Jun 18 2014 stephane de labrusse <stephdl@de-labrusse.fr> 1.5-6.sme
- Initial release to sme9

* Sun Dec 15 2013 JP Pialasse <test@pialasse.com> 1.3-4.sme
- fix obsolete missing [SME: 7109]
- fix pppoe and vpn loging [SME: 8061]
- added monthly ppoe log  
- fix stop on mysql error too many connections [SME: 7683]  

* Sun Sep 09 2012 JP Pialasse <test@pialasse.com> 1.3-3.sme
- startup fix [SME 3022]

* Wed Aug 15 2012 JP Pialasse <test@pialasse.com> 1.3-2.sme
- 64 bits [SME 7040]

* Sun Jun 10 2012 JP Pialasse <test@pialasse.com> 1.3-1.sme
- Initial version

%description
The main part of sme9admin is a daemon which gathers informations from logs 
and other tools like systat, it then feed a mysql database and create RRD
graphs about your system state.
This daemon can also send periodics mails (with some logs), and alerts mails
based on configurable thresolds.

A panel is also available in the server-manager, with which you can access gathered
data, display the RRD graphs and configure the service.

This contrib is a bit inspired by e-smith-sysmon from Shad Lords.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
perl createlinks
%{__mkdir_p} root/etc/e-smith/web/panels/manager/html/sme9admin
%{__mkdir_p} root/usr/share/locale/en_US/LC_MESSAGES

xgettext --from-code UTF-8 -F --no-wrap -L perl \
        -o root/usr/share/locale/en_US/LC_MESSAGES/sme9admin.po \
        root/etc/e-smith/web/functions/sme9admin \
        root/usr/bin/sme9admind

/sbin/e-smith/generate-lexicons

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
|grep -v '/etc/e-smith/sql/init/sme9admin'\
|grep -v '/usr/bin/sme9admind'\
|grep -v '/usr/share/doc/smeserver-sme9admin/add_ds_to_rrd.pl'> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%preun


%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%attr(755,root,root) /etc/e-smith/sql/init/sme9admin
%attr(755,root,root) /usr/bin/sme9admind
%attr(755,root,root) /usr/share/doc/smeserver-sme9admin/add_ds_to_rrd.pl
